!-------------------------------------------------
!     UUpack module
!-------------------------------------------------
module uupack
  use dcl_common
  contains
!-----------------------------------------------

    subroutine DclSetErrorBarLineType(itype)  !エラーバーのラインタイプを指定する．  
      integer,   intent(in) :: itype
      call uusebt(itype)
    end subroutine

    function DclGetErrorBarLineType()   
      integer  :: DclGetErrorBarLineType
      call uuqebt(DclGetErrorBarLineType)
    end function

    subroutine DclSetErrorBarLineIndex(index)  !エラーバーのラインインデクスを指定する．
      integer,   intent(in) :: index
      call uusebi(index) 
    end subroutine

    function DclGetErrorBarLineIndex()
      integer  :: DclGetErrorBarLineIndex
      call uuqebi(DclGetErrorBarLineIndex) 
    end function

    subroutine DclSetErrorBarWidth(width)  !エラーバーの横幅を指定する．
      real,      intent(in) :: width
      call uusebs(width)
    end subroutine
    
    function DclGetErrorBarWidth()
      real     :: DclGetErrorBarWidth
      call uuqebs(DclGetErrorBarWidth)
    end function
    
    subroutine DclSetBarWidth(width)  !棒グラフの横巾を指定する．
      real,      intent(in) :: width
      call uusbrs(width)
    end subroutine

    function DclGetBarWidth()
      real     :: DclGetBarWidth
      call uuqbrs(DclGetBarWidth)
    end function

    subroutine DclSetAreaPattern(itp1,itp2)  ! 内部領域を塗るトーンパターンを指定する．
      integer,   intent(in) :: itp1, itp2
      call uusarp(itp1,itp2)
    end subroutine

    subroutine DclGetAreaPattern(itp1,itp2)
      integer,   intent(out) :: itp1, itp2
      call uuqarp(itp1,itp2)
    end subroutine

    subroutine DclSetFrameType(type)  !枠の属性を指定する．
      integer,   intent(in) :: type
      call uusfrt(type)
    end subroutine

    function DclGetFrameType()
      integer  :: DclGetFrameType
      call uuqfrt(DclGetFrameType)
    end function

    subroutine DclSetFrameIndex(index)  !枠のラインインデクスを指定する．
      integer,   intent(in) :: index
      call uusfri(index)
    end subroutine

    function DclGetFrameIndex()
      integer :: DclGetFrameIndex
      call uuqfri(DclGetFrameIndex)
    end function
    
end module
